"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseReply = exports.parseRootExpr = exports.parse = void 0;
const reply_parser_1 = require("./reply-parser");
Object.defineProperty(exports, "parseReply", { enumerable: true, get: function () { return reply_parser_1.parseReply; } });
const lexer_1 = require("./lexer");
const s_exps_1 = require("../s-exps");
const parse = (ts) => {
    var _a;
    const next = ts.next();
    if (next === null)
        return [];
    switch (next.type) {
        case "LEFT_PAREN": {
            let exprs = [];
            while (((_a = ts.peek()) === null || _a === void 0 ? void 0 : _a.type) !== "RIGHT_PAREN") {
                exprs.push(exports.parse(ts));
            }
            ts.next(); // consume right paren
            return exprs;
        }
        case "NAT":
            return next.nat;
        case "STRING":
            return next.str;
        case "SYMBOL":
            return next.sym;
        case "RIGHT_PAREN":
            throw Error("Unexpected right paren encountered while parsing.");
    }
};
exports.parse = parse;
const parseRootExpr = (plString) => {
    const tokens = new lexer_1.TokenIter(plString);
    const expr = exports.parse(tokens);
    if (!s_exps_1.isRootExpr(expr))
        throw "Reply not handled: " + JSON.stringify(plString);
    return expr;
};
exports.parseRootExpr = parseRootExpr;
//# sourceMappingURL=index.js.map